Loading...
Searching...
No Matches
Opm::Elasticity::BoundaryGrid::BoundedPredicate Struct Reference

Predicate for checking if a vertex falls within a quads bounding box. More...

`#include <boundarygrid.hh>`

## Public Member Functions

| BoundedPredicate (const FaceCoord &coord_)
| Default constructor.
bool | operator() (const Quad &q)
| The comparison operator.

## Public Attributes

FaceCoord | coord
| The coordinates to check.

## Detailed Description

Predicate for checking if a vertex falls within a quads bounding box.

## Constructor & Destructor Documentation

## BoundedPredicate()

Opm::Elasticity::BoundaryGrid::BoundedPredicate::BoundedPredicate | ( | const FaceCoord & | coord_ | ) |

inline explicit

Default constructor.

Parameters

  [in] | coord_ | The coordinates to check

The documentation for this struct was generated from the following file:

- opm/elasticity/boundarygrid.hh